Well, this is ppp-2.1.2b ported to Mint and MintNet.

What do I need to run PPP?
--------------------------

In the first place you need the newest version of Mint you can get, everything
before 1.11h9 will probably *not* work.

Then you need the newest version of MintNet, at least MintNet 0.60 (with ppp
driver version 0.4).

Then of course you need the pppd and chat from this package and syslogd from
MintOS 1.4. pppd won't run without syslogd!

If you want to recompile you need my portlib PL 10 or newer.

Setting it up
-------------

First of all read the files SETUP, pppd/pppd.8, chat/chat.8 from this
archive to get familiar with the programs and follow the steps in SETUP.

Here a short extract of what is explained in greater detail in SETUP:

1) make install in the directories pppd and chat, that will copy
pppd and chat to /usr/etc with the right file modes.

2) adding a line to /etc/syslog.conf so that pppd debug output is shown
where you want it (add "*.info /dev/console" if you want to see it on the
console).

3) editing/creating the config files in /etc/ppp/. Here is a uuencoded
archive with sample config files, you need to edit them!! Unpack into
your root dir.

table
 !"#$%&'()*+,-./0123456789:;<=>?
@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_
begin 644 ppp-conf.tgz
M'XL( /)U]"X !>U82W/;-A#V59SA?]BQ#TX/$@&^E&@R[G2<0]KFX$D\F<RTz
M/<#DRD)%$@P JM:_SX(2_5#2^-!(3EM\&I%X[&)77'R[H- 64=NVT=$> 2F;y
M9AD<@0/;N6\[D.73C.53GN8 G&59<@39/IT:T!DK-,"15LI^3>ZO!6)U"(<.x
M"]S&G[[C2EWOQ09G+$_3OX]_G*=]_%G,V)11F\><4_S97KS9P?\\_J^P $B!w
ML5F2SE@.1MA.-R ;M.5O//]C!G.EES-0G04UAQIKI=<0/%#CMVJ5,)9DC!'7v
M"!I;%!9+HC-82:/WM5[,TN=?,!9U1D=N3\IFTEA1+<L9X(VT0%&RG0%V,X?@u
MJ9_9?PD#_U5KI6K,7FP\QO\LS_O+-$W2)(\=_^,L]?P_!$["X 2BG5T XS%<t
M5^I*5#",6 4D4$Y(/ R$63=%+5I@HQ,H57-J 4TA6@31K*%8"$V\UP;F6M5Ps
M^OL-8Z=N 6KQ^6D8U+H#GC&G;)#RA;B1=5=3OBA0KA"ZAOA.XDX$KM8631C0r
M%IJX#Y^14KV&GR] E*6F3!,&)<Y%5UE-*0IIEL;A_A"H%6KG_(_D>&<7(Y+1q
M^+&3FMRE/C966ED(]SLW'K>(.@PZ@PME;"-JMRKU8.BZE'BK.M^JTH,9K_YTp
MBY?2B*L*X?TO<'E^ 0L4)3E0J+IU_O:B3QWU.PR1IZ"U8X.%1OO-DX#C/]OEo
M_7W^)\G _SSG[OR7\(1Y_A\"#_E_?Q>X)'#^^J>+?J?#=G##_Q/'@%KT)P*[n
MD$1T2?M=&C?SLJ@D\>(,7AK4Q+R^X72I(5O>7^,SF$R&I>C!$A-OU6@U(E;/m
M-6J0#1IXR+7F&J0U6,U=DABLN)4ZX^8&<Q-GZ<,9"'W'7!-M$@<Z)J*YLUJ+l
MM:,X^;3"IC.CS<ED=+P:F^WS.!X-.2@.@^WT1O;8C%>?"?'OB>1?P4[FGUB[k
M%M_:QF/U/TFF_?D_3EF6TV&1^!_SW//_$/AB_>]W@>/_3O4'TV+A6.@&HA)7j
MD1/L><Q?T,N;JWY] ZY$5U*A5R76HVWU[#M4!ALJRQ54=.@W=%TBO+I\&P:5i
M*I9.TMW[!$ KP[/^=<"T2E61FS#1F_-?)[UW/X1!H:TIK!G6?WOY+CJ_? <+h
MT91F(9:4"_XE''Q*W+[_[Z_\/UK_M___N/J?I&E__I]R?_[W\/#P\/#P\/#Pg
6\/#P\/#P\/#P\/A'^ 3M;<&_ "@  /__f
 e
end

4) Create a directory /usr/spool/locks if it doesn't exist.

5) Run syslogd.

6) Dial into your remote system. On the first try make a log
of what your server spills out so you can write a chat script
that logs you in automatically. Have a close look a the examples
in the chat directory and write your chat script.

7) Then run
	pppd connect '/usr/etc/chat -f <chat script>' /dev/ttya
and look at the syslog output. This should look like:

Dec 5 01:22:22 saturn pppd[98]: pppd 2.1.2 started by root, uid 0
Dec 5 01:22:24 saturn pppd[99]: Connected...
Dec 5 01:22:24 saturn pppd[99]: Using interface ppp0
Dec 5 01:22:24 saturn pppd[99]: Connect: ppp0 <--> /dev/ttya
Dec 5 01:22:26 saturn pppd[99]: Remote message: Welcome to venus.
Dec 5 01:22:26 saturn pppd[99]: local IP address 100.0.0.1
Dec 5 01:22:26 saturn pppd[99]: remote IP address 100.0.0.2

Now you are connected. ifconfig ppp0 should look like:

ppp0:	flags=0x51<UP,POINTOPOINT,RUNNING>
	link-level-flags=0x3b
	inet 100.0.0.1 netmask 255.0.0.0 dstaddr 100.0.0.2 
	metric 0 mtu 1500
	in-packets   10 in-errors  0 collisions 0
	out-packets   8 out-errors 0

If things don't go to well try giving chat the -v option (for verbose,
so you see whether you get logged in) and give pppd the -d option (for debug).

I wish you the best of luck! Drop me a note if you have problems....

Thanks
------

Many thanks to my alpha testers Torsten Scherer, Bjarne Pohlers and Howard
Chu. Without them many bugs in pppd, chat and the ppp driver would still
be alive.

Bugs in the Mint port should be reported to me, general problems to the
original authors.


Kay.
--
Kay Roemer	roemer@informatik.uni-frankfurt.de
